## Enable or Disable Total TLS `client.ACM.TotalTLS.Update(ctx, params) (*TotalTLSUpdateResponse, error)` **post** `/zones/{zone_id}/acm/total_tls` Set Total TLS Settings or disable the feature for a Zone. ### Parameters - `params TotalTLSUpdateParams` - `ZoneID param.Field[string]` Path param: Identifier. - `Enabled param.Field[bool]` Body param: If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `CertificateAuthority param.Field[CertificateAuthority]` Body param: The Certificate Authority that Total TLS certificates will be issued through. ### Returns - `type TotalTLSUpdateResponse struct{…}` - `CertificateAuthority CertificateAuthority` The Certificate Authority that Total TLS certificates will be issued through. - `const CertificateAuthorityGoogle CertificateAuthority = "google"` - `const CertificateAuthorityLetsEncrypt CertificateAuthority = "lets_encrypt"` - `const CertificateAuthoritySSLCom CertificateAuthority = "ssl_com"` - `Enabled bool` If enabled, Total TLS will order a hostname specific TLS certificate for any proxied A, AAAA, or CNAME record in your zone. - `ValidityPeriod TotalTLSUpdateResponseValidityPeriod` The validity period in days for the certificates ordered via Total TLS. - `const TotalTLSUpdateResponseValidityPeriod90 TotalTLSUpdateResponseValidityPeriod = 90` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/acm" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) totalTLS, err := client.ACM.TotalTLS.Update(context.TODO(), acm.TotalTLSUpdateParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), Enabled: cloudflare.F(true), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", totalTLS.ValidityPeriod) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "certificate_authority": "google", "enabled": true, "validity_period": 90 } } ```